import { debugFunction } from '../../util/debugFunction.mjs';
import { scanDirectory } from '../../util/scanDirectory.mjs';

const scanProjectFolder = async (config) => {
    debugFunction(config.isDebug, { config }, '[PrepareTemplate] Scan project folder');
    const filterFn = (filePath) => {
        // Przykładowa funkcja filtrująca - dostosuj według potrzeb
        return !filePath.endsWith('.DS_Store'); // Odrzuca pliki .DS_Store
    };
    // Asynchroniczne skanowanie katalogu i filtracja
    scanDirectory(config.projectCatalog, { includeHiddenFiles: true }, filterFn)
        .then((fileList) => {
        const cleanupArray = fileList.map((file) => {
            return file.replace(config.projectCatalog.replace('./', ''), '');
        });
        return { config, fileList: cleanupArray }; // Wyświetli przefiltrowane pliki
    })
        .catch((error) => {
        console.error('An error occurred:', error);
    });
    return { config, fileList: [] }; // Wyświetli przefiltrowane plikireturn [];
};

export { scanProjectFolder };
