import require$$1__default from 'path';

const createPath = function (parts, isFolder = false) {
    let joinedPath;
    let includeRoot = false;
    const rootRegex = /^\.\/.*$/;
    if (typeof parts === 'string') {
        joinedPath = parts;
        if (rootRegex.test(parts)) {
            includeRoot = true;
        }
    }
    else {
        if (rootRegex.test(parts.join(''))) {
            includeRoot = true;
        }
        joinedPath = require$$1__default.join(...parts);
    }
    if (isFolder) {
        joinedPath = require$$1__default.normalize(joinedPath + require$$1__default.sep);
    }
    if (includeRoot && joinedPath !== './') {
        joinedPath = './' + require$$1__default.normalize(joinedPath);
    }
    return joinedPath;
};

export { createPath };
