interface ScanOptions {
    includeHiddenFiles?: boolean;
}
type FilePathArray = string[];
/**
 * Asynchronicznie skanuje katalog i zwraca tablicę ścieżek do wszystkich plików.
 *
 * @param dir - Ścieżka do katalogu, który ma być przeskanowany.
 * @param options - Opcjonalne parametry skanowania.
 * @param filterFn - Funkcja filtrująca, która ma być zastosowana do ścieżek plików.
 * @returns Promise z tablicą ścieżek do przefiltrowanych plików.
 */
export declare function scanDirectory(dir: string, options?: ScanOptions, filterFn?: (filePath: string) => boolean): Promise<FilePathArray>;
export {};
